Package org.springframework.security.web.server.header

# Enum Class XXssProtectionServerHttpHeadersWriter.HeaderValue

java.lang.Object
java.lang.Enum<XXssProtectionServerHttpHeadersWriter.HeaderValue>
org.springframework.security.web.server.header.XXssProtectionServerHttpHeadersWriter.HeaderValue

All Implemented Interfaces:
  `Serializable`, `Comparable<XXssProtectionServerHttpHeadersWriter.HeaderValue>`, `Constable`

Enclosing class:
  XXssProtectionServerHttpHeadersWriter

public static enum XXssProtectionServerHttpHeadersWriter.HeaderValue extends Enum<XXssProtectionServerHttpHeadersWriter.HeaderValue>
The value of the x-xss-protection header. One of: "0", "1", "1; mode=block"

Since:
  5.8

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISABLED`
`ENABLED`
`ENABLED_MODE_BLOCK`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static XXssProtectionServerHttpHeadersWriter.HeaderValue`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XXssProtectionServerHttpHeadersWriter.HeaderValue[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISABLED

public static final XXssProtectionServerHttpHeadersWriter.HeaderValue DISABLED

### ENABLED

public static final XXssProtectionServerHttpHeadersWriter.HeaderValue ENABLED

### ENABLED_MODE_BLOCK

public static final XXssProtectionServerHttpHeadersWriter.HeaderValue ENABLED_MODE_BLOCK

## Method Details

### values

public static XXssProtectionServerHttpHeadersWriter.HeaderValue[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XXssProtectionServerHttpHeadersWriter.HeaderValue valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<XXssProtectionServerHttpHeadersWriter.HeaderValue>`